Description

It would be nice to have a gui-free class that gives you a new ProvenanceRecorder, created from your currently-in-use provenance
settings.

History

#1 - 10/07/2009 09:30 PM - Bertram Ludaescher

This sounds interesting, but I'm not sure | fully understand it.

Could this be a bit further expanded?

Can one not use the ProvenanceRecorder without the GUI currently?

And what's the mechanism to turn on/off provenance recording when calling a Kepler wf from the command line?

#2 - 10/08/2009 12:29 PM - Derik Barseghian

| phrased this awkwardly. When programming | just want an easier way to get a new ProvenanceRecorder for the provenance store that's currently in
use by the provenance module, and this feature request is to make a class to do this, and | plan to make it gui-free. I've found myself doing some
awkward things to get ahold of a ProvenanceRecorder.

| believe ProvenaceRecorder used to work when running kepler from the command line, but trying it just now | get an error connecting to the
database...

As for toggling provenance from the command line, | don't know that you can currently. | believe the current procedure is that you have to create a
workflow when using the provenance suite from the gui. Then subsequent runs of this workflow (the moml now contains a reference to the
ProvenanceRecorder) from the cmd line when using kepler with the provenance suite will write to the provenance store.

#3 - 10/09/2009 08:53 AM - ben leinfelder

This is true of the "ReportingListener" as well - it requires that the workflow was authored in the gui (and saved) before being run on the command
line. A "vanilla" workflow cannot utilize provenance recording if the only action is to run on the commandline.
This points to needing a better/different way to do module initialization that does not piggyback on GUI classes.

#4 - 11/23/2009 03:58 PM - Daniel Crawl
The provenance recorder constructors use the connection parameters in the configuration file, and none of the constructors require a gui.

For comment #3: there's no mechanism to automatically add a provenance recorder to a workflow using the command line. In this case, the workflow
is parsed and executed entirely in Ptolemy classes, so one of these would need to be changed to allow modification of the workflow prior to execution.

#5 - 04/12/2011 03:01 PM - Daniel Crawl
Provenance and reporting no longer require a workflow to be authored in the GUI before running on the command line. Also, the recorder and listener

attributes are no longer stored in the workflow xml file.

#6 - 03/27/2013 02:26 PM - Redmine Admin
Original Bugzilla ID was 4443
